Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop.util
Class DelegatingTupleElementComparator

    java.lang.Object
      cascading.tuple.hadoop.util.DelegatingTupleElementComparator

All Implemented Interfaces:
  StreamComparator<TupleInputStream>, Comparator<Object>

    public class DelegatingTupleElementComparator

extends Object
implements StreamComparator<TupleInputStream>, Comparator<Object>

Constructor Summary
`DelegatingTupleElementComparator(TupleSerialization tupleSerialization)`

Method Summary
`int` | `compare(Object lhs, Object rhs)`
`int` | `compare(TupleInputStream lhsStream, TupleInputStream rhsStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### DelegatingTupleElementComparator

    public DelegatingTupleElementComparator(TupleSerialization tupleSerialization)

Method Detail

### compare

    public int compare(Object lhs,
                       Object rhs)

  Specified by:
    `compare` in interface `Comparator<Object>`

### compare

    public int compare(TupleInputStream lhsStream,
                       TupleInputStream rhsStream)

  Specified by:
    `compare` in interface `StreamComparator<TupleInputStream>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.